
Foreman - Bug #2642

Build button should be displayed on type change

06/10/2013 12:20 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

With the JS changes to refresh the form with provisioning a host in place (#2641) the Deface override to add a hidden build field is

lost when the form is refreshed. We can use @host.type_changed? to display the button in appropriate circumstances, which will

also remove the deface dependency from ForemanDiscovery.

https://github.com/theforeman/foreman/pull/699

Associated revisions

Revision 4cdd3291 - 06/12/2013 10:32 AM - Greg Sutcliffe

Fixes #2642 - Display build button if host type has changed

Revision 21cc9c63 - 06/12/2013 04:11 PM - Greg Sutcliffe

Fixes #2642 - Display build button if host type has changed

(cherry picked from commit 4cdd3291c6756d966ae52b7dc6cdc6a9fdf855fb)

History

#1 - 06/12/2013 11:17 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4cdd3291c6756d966ae52b7dc6cdc6a9fdf855fb.
